<?xml version="1.0" encoding="utf-8"?>
<foliageType>

    <foliageLayer cellSize="8" objectMask="16711935" decalLayer="0" densityMapChannelOffset="0" numDensityMapChannels="4" numBlocksPerUnit="2.5" shapeSource="meadow/meadowDLC.i3d">
        <foliageStateDefaults distanceMapLayer="1" widthVariance="0.25" heightVariance="0.25" horizontalPositionVariance="0.5" />
        <!-- default LOD distances etc -->
        <foliageLodDefaults lod="0" viewDistance="15"  blendOutDistance="3" atlasSize="1" atlasOffset="1 0" texCoords="0 0 1 1" />
        <foliageLodDefaults lod="1" viewDistance="130" blendOutDistance="5" atlasSize="1" atlasOffset="1 0" texCoords="0 0 1 1" />
        <!-- 1 0 0 0 - invisible -->
        <foliageState name="invisible" />
        <!-- 0 1 0 0 - green small -->
        <foliageState name="green small" width="0.2" height="0.2" numBlocksPerUnit="3">
            <foliageShape>
                <foliageLod blockShape="0>0|0" />
                <foliageLod blockShape="0>1|0" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|0" />
                <foliageLod blockShape="0>1|0" />
            </foliageShape>  
            <foliageShape >
                <foliageLod blockShape="6>0|0"/>
				<foliageLod blockShape="6>1|0" />
            </foliageShape>       
        </foliageState>
        <!-- 1 1 0 0 - green middle -->
        <foliageState name="green middle" width="0.5" height="0.5" numBlocksPerUnit="2">
            <foliageShape>
                <foliageLod blockShape="0>0|1" />
                <foliageLod blockShape="0>1|1" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|1" />
                <foliageLod blockShape="0>1|1" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="6>0|1"/>
				<foliageLod blockShape="6>1|1" />
            </foliageShape>
        </foliageState>
        <!-- 0 0 1 0 - green big (harvest ready) -->
        <foliageState name="harvest ready" width="0.7" height="0.7" numBlocksPerUnit="2">
            
			<!-- PURE GRASS -->
            <foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>            
			<foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>
			<foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>            
			<foliageShape>
                <foliageLod blockShape="0>0|2" />
                <foliageLod blockShape="0>1|2" />
            </foliageShape>
			<!-- CLOVER AND GRASS -->
            <foliageShape>
                <foliageLod blockShape="6>0|2" />
				<foliageLod blockShape="6>1|2" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="6>0|2" />
				<foliageLod blockShape="6>1|2" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="6>0|2" />
				<foliageLod blockShape="6>1|2" />
            </foliageShape>
			<!-- FLOWER BLUE -->            
            <foliageShape>
                <foliageLod blockShape="7>0|0" />
				<foliageLod blockShape="7>1|0" />
            </foliageShape>         

			<!-- FLOWER YELLOW -->    
            <foliageShape>
                <foliageLod blockShape="8>0|0" />
				<foliageLod blockShape="8>1|0" />
            </foliageShape>

			<!-- FLOWER WHITE -->            
            <foliageShape>
                <foliageLod blockShape="9>0|0" />
				<foliageLod blockShape="9>1|0" />
            </foliageShape>
			
			<!-- FLOWER PURPLE / WEED -->
            <foliageShape>
                <foliageLod blockShape="10>0|0" />
				<foliageLod blockShape="10>1|0" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="10>0|1" />
				<foliageLod blockShape="10>1|1" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="10>0|0" />
				<foliageLod blockShape="10>1|0" />
            </foliageShape>
            <foliageShape>
                <foliageLod blockShape="10>0|1" />
				<foliageLod blockShape="10>1|1" />
            </foliageShape>
        </foliageState>
        <!-- 1 0 1 0 - cut -->
        <foliageState name="cut" width="0.10" height="0.10" widthVariance="0.15" heightVariance="0.15" numBlocksPerUnit="3">
            <foliageShape>
                <foliageLod blockShape="0>0|3" />
                <foliageLod blockShape="0>1|3" />
            </foliageShape>
        </foliageState>
        <!--  -->
    </foliageLayer>
</foliageType>